正确安装后仍出现“未安装Xilinx编译工具”的错误

更新 Jul 22, 2020

适用于

软件

  • LabVIEW FPGA Module
  • LabVIEW FPGA Vivado Compilation Tool
  • LabVIEW FPGA ISE Compilation Tool
  • FPGA Xilinx Compilation Tools

问题详述

我刚在系统上安装了新硬件。我确定我的系统上安装了正确版本的Xilinx编译工具 。但是,当我运行项目时,尝试编译FPGA时仍然收到以下警告:

LabVIEW FPGA:编译器无法执行编译。可能为此编译配置了错误的编译工作器,或者它处于错误状态。

等待一段时间后,我看到以下内容:

未安装Xilinx编译工具。使用安装媒体进行安装或从ni.com下载。

解决方案

如果您正在使用之前编好的项目,且项目中的硬件不是当前使用的硬件,则可能会看到此错误。如果看到此错误,请确保删除对不再使用的硬件的引用。您还应该使用新硬件创建一个全新的项目,以确认错误是否与项目有关。

如果仍然看到错误,请考虑重新安装编译工具,并确认您使用的版本正确。